/*
 * MOUSE.H
 *
 * PROGRAMMER : Juan M. Alvarado
 *    VERSION : 00.000
 *    CREATED : 01/23/92
 *   MODIFIED : 01/03/93
 *       TABS : 04 08
 *
 * DESCRIPTION
 *
 * HISTORY
 *
*/

#ifndef MOUSE_H
#define MOUSE_H

#ifdef __cplusplus
extern "C" {
#endif

/**************************** C O N S T A N T S ***************************/

#define MOUSE_LEFTBUTTON	(1U << 0)
#define MOUSE_RIGHTBUTTON	(1U << 1)
#define MOUSE_FIRSTDOWN		(1U << 2)
#define MOUSE_BEFOREEVENT	(1U << 3)
#define MOUSE_AFTEREVENT	(1U << 4)
#define MOUSE_DOUBLE		(1U << 5)	/* used to indicate double click */

/******************************** T Y P E S *******************************/


typedef struct {
	short X;
	short Y;
	unsigned short Buttons;
	unsigned short OldButtons;
} MouseInfo;


/****************************** G L O B A L S *****************************/


/******************************* M A C R O S ******************************/


/****************** F U N C T I O N   P R O T O T Y P E S *****************/

extern short		 OpenMouse (void);
extern void		 CloseMouse (void);
extern void		 ShowMouse (void);
extern void		 HideMouse (void);
extern void		 ReadMouse (MouseInfo *pmi);
extern void		 SetMouseHotSpot (short xhot, short yhot);
extern void		 SetMouseResolution (short xres, short yres);
extern void		 SetMouseRange (short xmin, short xmax, short ymin, short ymax);
extern void		 SetMouseScreenDimensions (short width, short height);
extern void		 SetMousePosition (short x, short y);

#ifdef __cplusplus
}
#endif

#endif /* MOUSE_H */

